require "marble_gate/version"

require 'marble_gate/authorizer'
require 'marble_gate/railtie' if defined?(Rails)


module MarbleGate
  # Your code goes here...
  mattr_accessor :alias_map
  @@alias_map = {
    index: 'read',
    show: 'read',
    action_new: 'create',
    edit: 'update'
  }

  # config.current_user_method_name = :current_user
  mattr_accessor :current_user_method_name
  @@current_user_method_name = :current_user

  def self.setup
    yield self
  end
end
